package reksten.base;

public class EuclideanDistance implements Distance<FloatVector> {

	private int calculations = 0;
	
	public long calculations() {
		return this.calculations;
	}


	public float distance(FloatVector a, FloatVector b) {
		if(a==null || b==null)return 0.0f;
		if(a.size()!=b.size())throw new IllegalArgumentException("Array size mismatch");
		this.calculations++;
		double dd = 0;
		for(int i = 0;i<a.length();i++) {
			double delta = a.get(i)-b.get(i);
			dd += delta*delta;
		}
		return (float)Math.sqrt(dd);
	}

}
